<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/platform_white"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior">

    <com.yidianling.consultant.ui.view.DisInterceptNestedScrollView
        android:id="@+id/scroll"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <!--筛选框-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/platform_white"
                android:orientation="horizontal">

                <com.ydl.ydlcommon.view.DrawableRightTextView
                    android:id="@+id/tvSubject"
                    style="@style/consultant_FilterTextViewStyle"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:width="0dp"
                    android:drawableEnd="@drawable/platform_ic_arrow_drop_down_grey_500_18dp"
                    android:drawableRight="@drawable/platform_ic_arrow_drop_down_grey_500_18dp"
                    android:text="@string/platform_theme"
                    android:textColor="@color/platform_color_242424" />

                <com.ydl.ydlcommon.view.DrawableRightTextView
                    android:id="@+id/tvArea"
                    style="@style/consultant_FilterTextViewStyle"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:width="0dp"
                    android:drawableEnd="@drawable/platform_ic_arrow_drop_down_grey_500_18dp"
                    android:drawableRight="@drawable/platform_ic_arrow_drop_down_grey_500_18dp"
                    android:text="@string/platform_area"
                    android:textColor="@color/platform_color_242424" />

                <com.ydl.ydlcommon.view.DrawableRightTextView
                    android:id="@+id/tvSort"
                    style="@style/consultant_FilterTextViewStyle"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:width="0dp"
                    android:drawableEnd="@drawable/platform_ic_arrow_drop_down_grey_500_18dp"
                    android:drawableRight="@drawable/platform_ic_arrow_drop_down_grey_500_18dp"
                    android:text="@string/platform_sort"
                    android:textColor="@color/platform_color_242424" />

                <com.ydl.ydlcommon.view.DrawableRightTextView
                    android:id="@+id/tvFilter"
                    style="@style/consultant_FilterTextViewStyle"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:width="0dp"
                    android:drawableEnd="@drawable/platform_ic_arrow_drop_down_grey_500_18dp"
                    android:drawableRight="@drawable/platform_ic_arrow_drop_down_grey_500_18dp"
                    android:text="@string/platform_filter"
                    android:textColor="@color/platform_color_242424" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/lin_filter2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:paddingLeft="10dp"
                android:paddingBottom="10dp"/>

            <View
                android:layout_width="match_parent"
                android:layout_height="6dp"
                android:background="@drawable/consult_fillter_bg" />

        </LinearLayout>

    </com.yidianling.consultant.ui.view.DisInterceptNestedScrollView>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <View
            android:id="@+id/viewSep2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@color/transparent" />


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvExperts"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/platform_white"
            android:overScrollMode="never" />


        <com.ydl.ydlcommon.ui.LogoLoadingView
            android:id="@+id/v_loading"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/ll_network_error"
            android:layout_width="match_parent"
            android:layout_height="400dp"
            android:background="@color/platform_white"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/iv_exception"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:src="@drawable/consultant_img_netwrok_error" />

            <TextView
                android:id="@+id/tv_reload_hint"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/consultant_reload_hint" />

            <TextView
                android:id="@+id/tv_reload"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/platform_dp_16"
                android:background="@drawable/consultant_bg_blue_but"
                android:paddingLeft="@dimen/platform_dp_32"
                android:paddingTop="@dimen/platform_dp_8"
                android:paddingRight="@dimen/platform_dp_32"
                android:paddingBottom="@dimen/platform_dp_8"
                android:text="重新加载"
                android:textColor="@color/platform_main_theme" />
        </LinearLayout>

        <ImageButton
            android:id="@+id/image_scroll_top"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true"
            android:layout_marginRight="20dp"
            android:layout_marginBottom="20dp"
            android:background="@color/platform_transparent"
            android:padding="0dp"
            android:src="@drawable/consultant_ico_totop"
            android:visibility="gone" />

        <View
            android:id="@+id/viewDim"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#40000000"
            android:visibility="invisible" />
    </RelativeLayout>
</LinearLayout>
